com.io7m.r2.core.shaders.types

## Interface R2ShaderTranslucentUsableType<M>

- Type Parameters:
    `M` - The type of parameter data
  All Superinterfaces:
    com.io7m.jcanephora.core.JCGLResourceUsableType, R2ShaderUsableType<M>
  All Known Subinterfaces:
    R2ShaderTranslucentInstanceBatchedType<M>, R2ShaderTranslucentInstanceBatchedUsableType<M>, R2ShaderTranslucentInstanceBillboardedType<M>, R2ShaderTranslucentInstanceBillboardedUsableType<M>, R2ShaderTranslucentInstanceSingleType<M>, R2ShaderTranslucentInstanceSingleUsableType<M>
  All Known Implementing Classes:
    R2RefractionMaskedDeltaShaderBatched, R2RefractionMaskedDeltaShaderBillboarded, R2RefractionMaskedDeltaShaderSingle, R2ShaderTranslucentInstanceBatchedVerifier, R2ShaderTranslucentInstanceBillboardedVerifier, R2ShaderTranslucentInstanceSingleVerifier, R2TranslucentShaderBasicPremultipliedBatched, R2TranslucentShaderBasicPremultipliedBillboarded, R2TranslucentShaderBasicPremultipliedSingle

      public interface R2ShaderTranslucentUsableType<M>
      extends R2ShaderUsableType<M>

  The type of usable translucent shaders.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<com.io7m.jcanephora.renderstate.JCGLBlendState>` | `suggestedBlendState()` A specification of the blending state with which this shader is intended to be used.

    - ### Methods inherited from interface com.io7m.r2.core.shaders.types.R2ShaderUsableType

      `onActivate, onDeactivate, onValidate, shaderID, shaderParametersType, shaderProgram`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLResourceUsableType

      `isDeleted`

- - ### Method Detail

    - #### suggestedBlendState

          Optional<com.io7m.jcanephora.renderstate.JCGLBlendState> suggestedBlendState()

      A specification of the blending state with which this shader is intended to be used. An empty value indicates that blending is intended to be disabled.
      Returns:
        The blending configuration with which this shader is intended to be used

Copyright © 2016 <code@io7m.com> http://io7m.com